Subject: bug#65908: 29.1.50; Emacs 29 regresses on macOS

From: Stefan Kangas <[email-masked]>
Date: Wed, 4 Oct 2023 02:12:32 -0700

Gregory Heytings <[email-masked]> writes:

>> Gregory will correct me if I'm wrong, but I think it's okay to add any
>> commits that don't build to the list there.
>
> It's okay in principle, but the idea of that script is to include only
> commits that don't build on GNU/Linux, with GCC, and with the default
> build options (just "make").

Thanks, I now see that explained a bit further down in the file.

Perhaps that explanation could be moved to the very top of the file?

> I try to update the list of failing commits monthly.

Thanks for maintaining that script.  We need more people showing that
kind of initiative and drive.

BTW, if you have any scripts that you use to update the list, it might
be useful to add them to emacs.git.  Perhaps just as a comment to
git-bisect-start, depending on how long it is.  That would decrease the
bus factor.